#include "Bar.h"

#include <object/Object.h>

#include <registration/ValuePrinterRegistration.hpp>

namespace alphabet {

Bar::Bar() = default;

ext::ostream & operator << ( ext::ostream & out, const Bar & ) {
	return out << "(Bar symbol)";
}

} /* namespace alphabet */

namespace {

auto valuePrinter = registration::ValuePrinterRegister < alphabet::Bar > ( );

} /* namespace */
