#include "Wildcard.h"

#include <object/Object.h>

#include <registration/ValuePrinterRegistration.hpp>

namespace alphabet {

Wildcard::Wildcard() = default;

ext::ostream & operator << ( ext::ostream & out, const Wildcard & ) {
	return out << "(Wildcard)";
}

} /* namespace alphabet */

namespace {

auto valuePrinter = registration::ValuePrinterRegister < alphabet::Wildcard > ( );

} /* namespace */
