#include "NodeWildcard.h"

#include <object/Object.h>

#include <registration/ValuePrinterRegistration.hpp>

namespace alphabet {

NodeWildcard::NodeWildcard() = default;

ext::ostream & operator << ( ext::ostream & out, const NodeWildcard & ) {
	return out << "(NodeWildcard)";
}

} /* namespace alphabet */

namespace {

auto valuePrinter = registration::ValuePrinterRegister < alphabet::NodeWildcard > ( );

} /* namespace */
